VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Attributes | List of all members
NoteExpressionValueEvent Struct Reference

Note Expression Value event. More...

`#include <ivstnoteexpression.h>`

## Public Attributes
NoteExpressionTypeID | typeId
| see NoteExpressionTypeID
int32 | noteId
| associated note identifier to apply the change
NoteExpressionValue | value
| normalized value [0.0, 1.0].

## Detailed Description

Note Expression Value event.

Used in Event (union) A note expression event affects one single playing note (referring its noteId). This kind of event is send from host to the plug-in like other events (NoteOnEvent, NoteOffEvent,...) in ProcessData during the process call. Note expression events for a specific noteId can only occur after a NoteOnEvent. The host must take care that the event list (IEventList) is properly sorted. Expression events are always absolute normalized values [0.0, 1.0]. The predefined types have a predefined mapping of the normalized values (see NoteExpressionTypeIDs)

See also
  INoteExpressionController

## Member Data Documentation

## ◆ typeId

NoteExpressionTypeID typeId

see NoteExpressionTypeID

## ◆ noteId

int32 noteId

associated note identifier to apply the change

## ◆ value

NoteExpressionValue value

normalized value [0.0, 1.0].

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.